{namespace n=GeorgRinger\News\ViewHelpers}
<?xml version="1.0" encoding="UTF-8" ?>
<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<body>

<f:section name="content">
	<!-- Related news records -->
	<h4 class="o-cms-content__headline">
		<f:translate key="related-news" />
	</h4>
	<div class="c-related-list">
		<f:for each="{newsItem.allRelatedSorted}" as="related">
			<div class="c-related-list__item">
				<div class="c-teaser   o-media o-media--stacked">
					<f:if condition="{related.falMedia}">
						<f:then>
							<figure class="c-teaser__img   o-media__img o-media__img--fill">
								<f:alias map="{mediaElement: related.falMedia.0}">
									<f:if condition="{mediaElement.originalResource.type} == 2">
										<f:media
											alt="{mediaElement.originalResource.alternative}"
											file="{mediaElement}"
											title="{mediaElement.originalResource.title}"
											width="240"/>
									</f:if>
									<f:if condition="{mediaElement.originalResource.type} == 4">
										<f:media
											alt="{mediaElement.originalResource.alternative}"
											file="{mediaElement}"
											title="{mediaElement.originalResource.title}"
											width="240"/>
									</f:if>
									<f:if condition="{mediaElement.originalResource.type} == 5">
										<f:media
											alt="{mediaElement.originalResource.alternative}"
											file="{mediaElement}"
											title="{mediaElement.originalResource.title}"
											width="240"/>
									</f:if>
								</f:alias>
							</figure>
						</f:then>
					</f:if>

					<div class="c-teaser__content   o-media__body">
						<h4 class="c-teaser__title">{related.title}</h4>
						<f:if condition="{related.teaser}">
							<f:then>
								{related.teaser -> f:format.crop(maxCharacters: '150', respectWordBoundaries:'1') -> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
							</f:then>
							<f:else>
								{related.bodytext -> f:format.crop(maxCharacters: '150', respectWordBoundaries:'1') -> f:format.html(parseFuncTSPath:'lib.parseFuncNewsList')}
							</f:else>
						</f:if>
						<n:link newsItem="{related}" settings="{settings}" class="c-teaser__link" title="{related.title}">
							<f:translate extensionName="DrkTemplate" key="read_more" />
						</n:link>
					</div>
				</div>
			</div>

		</f:for>
	</div>
</f:section>

</body>
</html>
